summaryrefslogtreecommitdiffstats
path: root/haskell/haskell-lcs
diff options
context:
space:
mode:
Diffstat (limited to 'haskell/haskell-lcs')
-rw-r--r--haskell/haskell-lcs/README7
-rw-r--r--haskell/haskell-lcs/doinst.sh1
-rw-r--r--haskell/haskell-lcs/haskell-lcs.SlackBuild90
-rw-r--r--haskell/haskell-lcs/haskell-lcs.info10
-rw-r--r--haskell/haskell-lcs/slack-desc19
5 files changed, 127 insertions, 0 deletions
diff --git a/haskell/haskell-lcs/README b/haskell/haskell-lcs/README
new file mode 100644
index 0000000000..c278761007
--- /dev/null
+++ b/haskell/haskell-lcs/README
@@ -0,0 +1,7 @@
+Provides a function lcs that takes two lists and returns a longest
+common sublist. For example, lcs abcd acbd is either abd or acd.
+
+This requires ghc.
+
+After uninstalling, run this command to unregister the package from
+the ghc package database: ghc-pkg recache
diff --git a/haskell/haskell-lcs/doinst.sh b/haskell/haskell-lcs/doinst.sh
new file mode 100644
index 0000000000..3268c238bf
--- /dev/null
+++ b/haskell/haskell-lcs/doinst.sh
@@ -0,0 +1 @@
+chroot . /usr/bin/ghc-pkg recache
diff --git a/haskell/haskell-lcs/haskell-lcs.SlackBuild b/haskell/haskell-lcs/haskell-lcs.SlackBuild
new file mode 100644
index 0000000000..e64e8311d7
--- /dev/null
+++ b/haskell/haskell-lcs/haskell-lcs.SlackBuild
@@ -0,0 +1,90 @@
+#!/bin/sh
+
+# Slackware build script for lcs
+
+# Written by Mikko Värri (vmj@linuxbox.fi)
+# Public domain.
+
+PRGNAM=haskell-lcs
+VERSION=${VERSION:-0.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+SRCNAM="$( echo $PRGNAM | cut -d- -f2- )"
+
+GHC_VERSION=$(ghc --numeric-version)
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+runghc Setup.hs configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --libsubdir=ghc-${GHC_VERSION}/$SRCNAM-$VERSION \
+ --enable-shared \
+ --docdir=/usr/doc/$PRGNAM-$VERSION
+
+runghc Setup.hs build
+runghc Setup.hs haddock
+runghc Setup.hs copy --destdir=$PKG
+runghc Setup.hs register --gen-pkg-config
+
+PKGCONFD=/usr/lib${LIBDIRSUFFIX}/ghc-${GHC_VERSION}/package.conf.d
+PKGID=$( grep -E "^id: " $SRCNAM-$VERSION.conf | cut -d" " -f2 )
+mkdir -p $PKG/$PKGCONFD
+mv $SRCNAM-$VERSION.conf $PKG/$PKGCONFD/$PKGID.conf
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COPYING BSD3 GPL-2 $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/haskell/haskell-lcs/haskell-lcs.info b/haskell/haskell-lcs/haskell-lcs.info
new file mode 100644
index 0000000000..88788009f5
--- /dev/null
+++ b/haskell/haskell-lcs/haskell-lcs.info
@@ -0,0 +1,10 @@
+PRGNAM="haskell-lcs"
+VERSION="0.2"
+HOMEPAGE="http://hackage.haskell.org/package/lcs"
+DOWNLOAD="http://hackage.haskell.org/packages/archive/lcs/0.2/lcs-0.2.tar.gz"
+MD5SUM="2ef97e00291dde72248811581f997b66"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Mikko Värri"
+EMAIL="vmj@linuxbox.fi"
+APPROVED="rworkman"
diff --git a/haskell/haskell-lcs/slack-desc b/haskell/haskell-lcs/slack-desc
new file mode 100644
index 0000000000..db55cdae26
--- /dev/null
+++ b/haskell/haskell-lcs/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+haskell-lcs: haskell-lcs (Find longest common sublist of two lists)
+haskell-lcs:
+haskell-lcs: Provides a function lcs that takes two lists and returns a longest
+haskell-lcs: common sublist. For example, lcs abcd acbd is either abd or acd.
+haskell-lcs:
+haskell-lcs: http://hackage.haskell.org/package/lcs
+haskell-lcs:
+haskell-lcs:
+haskell-lcs:
+haskell-lcs:
+haskell-lcs: